package CHAPTER11;

import javax.swing.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

// WindowAdapter를 상속한 클래스 정의
class MyWindowAdapter extends WindowAdapter {
	@Override
	public void windowClosing(WindowEvent e) {
		System.out.println("창이 닫힙니다. 프로그램을 종료합니다.");
		System.exit(0);
	}
}

public class C11_09_WindowAdapter extends JFrame {
	public C11_09_WindowAdapter() {
		setTitle("윈도우 어댑터 예제");
		setSize(300, 200);
		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);

		// 커스텀 어댑터 클래스 인스턴스를 사용하여 이벤트 리스너 등록
		addWindowListener(new MyWindowAdapter());		
		setVisible(true);
	}
	public static void main(String[] args) {
		new C11_09_WindowAdapter();
	}
}
